/* strfunc.h.  Generated from strfunc.h.in by configure.  */
/*-
 * Copyright (c) 1999, 2000, 2001, 2002, 2003, 2004, 2005
 * Lev Walkin <vlm@lionet.info>. All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 * $Id: strfunc.h.in,v 1.25 2005/05/27 05:37:06 vlm Exp $
 */

#ifndef STRFUNC_H
#define STRFUNC_H

/*
 * Define to `int' if <sys/types.h> doesn't define.
 * Substituted by configure.
 */
/* #undef ssize_t */


#include <sf_mem.h>
#include <sf_core.h>
#include <sf_fmt.h>
#include <sf_time.h>
#include <sf_mime.h>
#include <sf_cgi.h>
#include <sf_fpos.h>
#include <sf_sed.h>
#include <sf_cfg.h>


#ifdef __cplusplus
extern "C" {
#endif	/* __cplusplus */

/**************************/
/*** Libstrfunc Version ***/
/**************************/

int strfunc_version(void);	/* Run-time version */
#define	STRFUNC_VERSION	800

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* STRFUNC_H */
